Sign inGet Started

Delete a reusable block language

DELETE
/v1/email/blocks/{block_id}/languages/{language}
// Requires email_management:write permission in the target workspace.
await bird.email.blocks.languages.delete("ebl_01krdgeqcxet5s7t44vh8rt9mg", "fr");

Deletes a language that has never been published, with its draft. The block's source language and a language with a published revision cannot be deleted and return a 422 validation_error, because templates can link a published language.

Parameters

block_idstring

Block to read or edit.

languagestring

Exact block language as a BCP-47 tag. No fallback is applied.

Continue with the documentation, guides and examples for this topic.